# Uses of Class
org.bukkit.configuration.file.YamlConfiguration

Packages that use YamlConfiguration
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.configuration.file
Classes dedicated to facilitating `configurations` to be read and stored on the filesystem.

## Uses of YamlConfiguration in org.bukkit

Methods in org.bukkit that return YamlConfiguration
Modifier and Type
Method
Description
`YamlConfiguration`
Server.Spigot.`getBukkitConfig()`
`YamlConfiguration`
Server.Spigot.`getConfig()`
`YamlConfiguration`
Server.Spigot.`getPaperConfig()`
`YamlConfiguration`
Server.Spigot.`getScissorsConfig()`
`YamlConfiguration`
Server.Spigot.`getSpigotConfig()`

## Uses of YamlConfiguration in org.bukkit.configuration.file

Methods in org.bukkit.configuration.file that return YamlConfiguration
Modifier and Type
Method
Description
`@NotNull YamlConfiguration`
YamlConfigurationOptions.`configuration()`
`static @NotNull YamlConfiguration`
YamlConfiguration.`loadConfiguration(@NotNull File file)`
Creates a new `YamlConfiguration`, loading from the given file.
`static @NotNull YamlConfiguration`
YamlConfiguration.`loadConfiguration(@NotNull Reader reader)`
Creates a new `YamlConfiguration`, loading from the given reader.
Constructors in org.bukkit.configuration.file with parameters of type YamlConfiguration
Modifier
Constructor
Description
`protected`
`YamlConfigurationOptions(@NotNull YamlConfiguration configuration)`